#!/bin/sh

cd `dirname $0`
if [ -L $0 ]
then
    Fic=`ls -l $0 | sed "s/.* -> //"`
    cd `dirname $Fic`
fi

DIALOG=Xdialog
FicTemp="/tmp/`basename $0`.$$"

Exit ()
{
    rm -f $FicTemp
    exit 1
}

trap "Exit ; Exit 0" 2 6 9 15

while true
do
    Xdialog --menubox "What to do?" 15 70 5 \
    view "View all dates" \
    new "Put a new date" \
    mod "Modif a new date" \
    del "Delete a date" \
    quit "Quit" \
    2> $FicTemp || Exit
    
    for reponse in `cat $FicTemp | grep -v "Gdk-WARNING" | tail -n 1 | sed "s;/; ;g"`
    do
        reponse=`echo $reponse | sed "s/^\"\(.*\)\"/\1/"`
        if [ "$reponse" = "view" ]
        then
            ./modifDate.sh -v
        elif [ "$reponse" = "new" ]
        then
            ./newDate.sh
        elif [ "$reponse" = "mod" ]
        then
            ./modifDate.sh -m
        elif [ "$reponse" = "del" ]
        then
            ./modifDate.sh -d
        elif [ "$reponse" = "quit" ]
        then
            Exit
        else
            echo >&2 "Reponse inconnue : $reponse"
        fi
    done
done
